package net.minecraft.network.protocol.game;

import net.minecraft.network.PacketListener;

public interface ClientGamePacketListener extends PacketListener {
    void handleAddEntity(final ClientboundAddEntityPacket nm);
    
    void handleAddExperienceOrb(final ClientboundAddExperienceOrbPacket nn);
    
    void handleAddMob(final ClientboundAddMobPacket no);
    
    void handleAddObjective(final ClientboundSetObjectivePacket qf);
    
    void handleAddPainting(final ClientboundAddPaintingPacket np);
    
    void handleAddPlayer(final ClientboundAddPlayerPacket nq);
    
    void handleAnimate(final ClientboundAnimatePacket nr);
    
    void handleAwardStats(final ClientboundAwardStatsPacket ns);
    
    void handleAddOrRemoveRecipes(final ClientboundRecipePacket pl);
    
    void handleBlockDestruction(final ClientboundBlockDestructionPacket nu);
    
    void handleOpenSignEditor(final ClientboundOpenSignEditorPacket pe);
    
    void handleBlockEntityData(final ClientboundBlockEntityDataPacket nv);
    
    void handleBlockEvent(final ClientboundBlockEventPacket nw);
    
    void handleBlockUpdate(final ClientboundBlockUpdatePacket nx);
    
    void handleChat(final ClientboundChatPacket oa);
    
    void handleChunkBlocksUpdate(final ClientboundChunkBlocksUpdatePacket ob);
    
    void handleMapItemData(final ClientboundMapItemDataPacket oy);
    
    void handleContainerAck(final ClientboundContainerAckPacket oe);
    
    void handleContainerClose(final ClientboundContainerClosePacket of);
    
    void handleContainerContent(final ClientboundContainerSetContentPacket og);
    
    void handleHorseScreenOpen(final ClientboundHorseScreenOpenPacket or);
    
    void handleContainerSetData(final ClientboundContainerSetDataPacket oh);
    
    void handleContainerSetSlot(final ClientboundContainerSetSlotPacket oi);
    
    void handleCustomPayload(final ClientboundCustomPayloadPacket ok);
    
    void handleDisconnect(final ClientboundDisconnectPacket om);
    
    void handleEntityEvent(final ClientboundEntityEventPacket on);
    
    void handleEntityLinkPacket(final ClientboundSetEntityLinkPacket qa);
    
    void handleSetEntityPassengersPacket(final ClientboundSetPassengersPacket qg);
    
    void handleExplosion(final ClientboundExplodePacket oo);
    
    void handleGameEvent(final ClientboundGameEventPacket oq);
    
    void handleKeepAlive(final ClientboundKeepAlivePacket os);
    
    void handleLevelChunk(final ClientboundLevelChunkPacket ot);
    
    void handleForgetLevelChunk(final ClientboundForgetLevelChunkPacket op);
    
    void handleLevelEvent(final ClientboundLevelEventPacket ou);
    
    void handleLogin(final ClientboundLoginPacket ox);
    
    void handleMoveEntity(final ClientboundMoveEntityPacket pa);
    
    void handleMovePlayer(final ClientboundPlayerPositionPacket pk);
    
    void handleParticleEvent(final ClientboundLevelParticlesPacket ov);
    
    void handlePlayerAbilities(final ClientboundPlayerAbilitiesPacket pg);
    
    void handlePlayerInfo(final ClientboundPlayerInfoPacket pi);
    
    void handleRemoveEntity(final ClientboundRemoveEntitiesPacket pm);
    
    void handleRemoveMobEffect(final ClientboundRemoveMobEffectPacket pn);
    
    void handleRespawn(final ClientboundRespawnPacket pp);
    
    void handleRotateMob(final ClientboundRotateHeadPacket pq);
    
    void handleSetCarriedItem(final ClientboundSetCarriedItemPacket pu);
    
    void handleSetDisplayObjective(final ClientboundSetDisplayObjectivePacket py);
    
    void handleSetEntityData(final ClientboundSetEntityDataPacket pz);
    
    void handleSetEntityMotion(final ClientboundSetEntityMotionPacket qb);
    
    void handleSetEquipment(final ClientboundSetEquipmentPacket qc);
    
    void handleSetExperience(final ClientboundSetExperiencePacket qd);
    
    void handleSetHealth(final ClientboundSetHealthPacket qe);
    
    void handleSetPlayerTeamPacket(final ClientboundSetPlayerTeamPacket qh);
    
    void handleSetScore(final ClientboundSetScorePacket qi);
    
    void handleSetSpawn(final ClientboundSetDefaultSpawnPositionPacket px);
    
    void handleSetTime(final ClientboundSetTimePacket qj);
    
    void handleSoundEvent(final ClientboundSoundPacket qm);
    
    void handleSoundEntityEvent(final ClientboundSoundEntityPacket ql);
    
    void handleCustomSoundEvent(final ClientboundCustomSoundPacket ol);
    
    void handleTakeItemEntity(final ClientboundTakeItemEntityPacket qq);
    
    void handleTeleportEntity(final ClientboundTeleportEntityPacket qr);
    
    void handleUpdateAttributes(final ClientboundUpdateAttributesPacket qt);
    
    void handleUpdateMobEffect(final ClientboundUpdateMobEffectPacket qu);
    
    void handleUpdateTags(final ClientboundUpdateTagsPacket qw);
    
    void handlePlayerCombat(final ClientboundPlayerCombatPacket ph);
    
    void handleChangeDifficulty(final ClientboundChangeDifficultyPacket nz);
    
    void handleSetCamera(final ClientboundSetCameraPacket pt);
    
    void handleSetBorder(final ClientboundSetBorderPacket ps);
    
    void handleSetTitles(final ClientboundSetTitlesPacket qk);
    
    void handleTabListCustomisation(final ClientboundTabListPacket qo);
    
    void handleResourcePack(final ClientboundResourcePackPacket po);
    
    void handleBossUpdate(final ClientboundBossEventPacket ny);
    
    void handleItemCooldown(final ClientboundCooldownPacket oj);
    
    void handleMoveVehicle(final ClientboundMoveVehiclePacket pb);
    
    void handleUpdateAdvancementsPacket(final ClientboundUpdateAdvancementsPacket qs);
    
    void handleSelectAdvancementsTab(final ClientboundSelectAdvancementsTabPacket pr);
    
    void handlePlaceRecipe(final ClientboundPlaceGhostRecipePacket pf);
    
    void handleCommands(final ClientboundCommandsPacket od);
    
    void handleStopSoundEvent(final ClientboundStopSoundPacket qn);
    
    void handleCommandSuggestions(final ClientboundCommandSuggestionsPacket oc);
    
    void handleUpdateRecipes(final ClientboundUpdateRecipesPacket qv);
    
    void handleLookAt(final ClientboundPlayerLookAtPacket pj);
    
    void handleTagQueryPacket(final ClientboundTagQueryPacket qp);
    
    void handleLightUpdatePacked(final ClientboundLightUpdatePacket ow);
    
    void handleOpenBook(final ClientboundOpenBookPacket pc);
    
    void handleOpenScreen(final ClientboundOpenScreenPacket pd);
    
    void handleMerchantOffers(final ClientboundMerchantOffersPacket oz);
    
    void handleSetChunkCacheRadius(final ClientboundSetChunkCacheRadiusPacket pw);
    
    void handleSetChunkCacheCenter(final ClientboundSetChunkCacheCenterPacket pv);
    
    void handleBlockBreakAck(final ClientboundBlockBreakAckPacket nt);
}
